<?php

	require_once(dirname(__FILE__).'/../../config.php');
	session_regenerate_id();

	basic_initialize();

	if (!isset($_SESSION['login_id'])) {
		return ;
	}

	if (!isset($_GET['circle']) || (!check_right('admin') && !isset($params['circle']['meta']['allow_upload']))) {
		exit('{"error":"Access error(E001)"}');
	}


	if (isset($_GET['id'])) {
		$id = (int)$_GET['id'];
		$url = $config['files_url']."img/$id/";
		$r = $config['files_path'].DIRECTORY_SEPARATOR.'img'.DIRECTORY_SEPARATOR.$id;
		if (!is_dir($r)) {
			//exit("{'error':'Access error(E002)$r'}");
			mkdir($r, 0700, true);
		}

	} else {

		if (check_right('guest')) {
			exit('{"error":"Access error(E002)"}');
		}

		if (isset($params['circle']['meta']['upload_site'])) {
			$url = $config['site_url'];
			$r = $config['site_path'];
		} else if (isset($params['circle']['meta']['upload_plugin'])) {
			$url = $config['files_url']."$p_circle/";
			//$url = "http://127.0.0.1:4001/one104/files/1/";
			$r = $config['files_path'].DIRECTORY_SEPARATOR.$p_circle;
		} else {
			$url = $config['files_url']."$p_circle/data/";
			$r = $config['files_path'].DIRECTORY_SEPARATOR.$p_circle.DIRECTORY_SEPARATOR.'data';
		}
		if (!is_dir($r)) {
			mkdir($r, 0700, true);
		}
	}

include_once dirname(__FILE__).DIRECTORY_SEPARATOR.'elFinderConnector.class.php';
include_once dirname(__FILE__).DIRECTORY_SEPARATOR.'elFinder.class.php';
include_once dirname(__FILE__).DIRECTORY_SEPARATOR.'elFinderVolumeDriver.class.php';
include_once dirname(__FILE__).DIRECTORY_SEPARATOR.'elFinderVolumeLocalFileSystem.class.php';
// Required for MySQL storage connector
// include_once dirname(__FILE__).DIRECTORY_SEPARATOR.'elFinderVolumeMySQL.class.php';
// Required for FTP connector support
// include_once dirname(__FILE__).DIRECTORY_SEPARATOR.'elFinderVolumeFTP.class.php';



/**
 * Simple function to demonstrate how to control file access using "accessControl" callback.
 * This method will disable accessing files/folders starting from  '.' (dot)
 *
 * @param  string  $attr  attribute name (read|write|locked|hidden)
 * @param  string  $path  file path relative to volume root directory started with directory separator
 * @return bool|null
 **/
function access($attr, $path, $data, $volume) {
	return strpos(basename($path), '.') === 0       // if file/folder begins with '.' (dot)
		? !($attr == 'read' || $attr == 'write')    // set read+write to false, other (locked+hidden) set to true
		:  null;                                    // else elFinder decide it itself
}

$opts = array(
	 'debug' => true,
	'roots' => array(
		array(
			'driver'  => 'LocalFileSystem'   // driver for accessing file system (REQUIRED)
			,'path' => $r         // path to files (REQUIRED)
			,'URL' => $url // URL to files (REQUIRED)
			,'accessControl' => 'access'             // disable and hide dot starting files (OPTIONAL)
		)
	)
);

// run elFinder
$connector = new elFinderConnector(new elFinder($opts));
$connector->run();

